function y=sigma0(data,mom_func,m,debugmode,q)

if nargin <5 || isempty(debugmode)
    debugmode=0;
end
if nargin<3 
    mom_func='momfunc_pair';
end

[T,N]=size(data);

if nargin<4 
    m=(length(q)+1);
end

b=1000;
B = T*b;  % number of bootstrap samples, use 1000
if debugmode
    B=T*10;
    b=10;
end

myrand = randi([1 T],[B 1]); % randi = random uniform integers from a range

EtaB = zeros(B,N); % bootstrap samples
for ii=1:B
    EtaB(ii,:)= data(myrand(ii,1),:);
end

mtb= zeros(m,b); % moments of bootstrap samples
for jj=0:(b-1)
    mtb(:,(jj+1))=feval(mom_func,(EtaB((1+T*jj):(T+T*jj),:)),q);
end

mt=feval(mom_func,data,q);

tmp=zeros(m,m);
for i=1:b
    tmp=tmp+(mtb(:,i)-mt)*(mtb(:,i)-mt)';
end
y=tmp;


